"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const React = require("react");
const illuminate_js_1 = require("illuminate-js");
const clike_1 = require("illuminate-js/lib/languages/clike");
const enzyme_1 = require("enzyme");
const Illuminate_1 = require("../Illuminate");
describe('<Illuminate /> test', () => {
    beforeAll(() => {
        illuminate_js_1.addLanguage('clike', clike_1.clike);
    });
    it('should highlight given text', () => {
        const component = enzyme_1.shallow(React.createElement(Illuminate_1.Illuminate, { lang: "clike" }, "if (a > b)"));
        expect(component).toMatchSnapshot();
    });
});
